=== debian/changelog ===
openjdk-9 (9~b161-1) unstable; urgency=medium

  * OpenJDK 9, b161.
  * Don't build the zero JRE on Ubuntu/s390x.
  * Fix changelog format.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Mar 2017 00:09:34 +0100

openjdk-9 (9~b159-1) unstable; urgency=medium

  * OpenJDK 9, b159.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Mar 2017 19:03:10 +0100

openjdk-9 (9~b158-1) unstable; urgency=medium

  * OpenJDK 9, b158.
  * Add OpenJDK Stack Unwinder and Frame Decorator for gdb.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2017 18:57:42 +0100

openjdk-9 (9~b155-1) unstable; urgency=medium

  * OpenJDK 9, b155.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Feb 2017 07:56:11 +0100

openjdk-9 (9~b154-1) unstable; urgency=medium

  * OpenJDK 9, b154.
  * Fix libjpeg dependency. Closes: #852420.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2017 23:33:55 +0100

openjdk-9 (9~b153-2) unstable; urgency=medium

  * Lower cpu requirements for Debian/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Jan 2017 21:52:52 +0100

openjdk-9 (9~b153-1) unstable; urgency=medium

  * OpenJDK 9, b153.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Jan 2017 14:39:18 +0100

openjdk-9 (9~b151-2) unstable; urgency=medium

  * Fix builds with zero and jamvm as an alternate VM.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Jan 2017 15:40:20 +0100

openjdk-9 (9~b151-1) experimental; urgency=medium

  * OpenJDK 9, b151.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Jan 2017 23:16:21 +0100

openjdk-9 (9~b149-1) experimental; urgency=medium

  * OpenJDK 9, b149.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2016 10:58:22 +0100

openjdk-9 (9~b148-1) experimental; urgency=medium

  * OpenJDK 9, b148.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2016 14:04:02 +0000

openjdk-9 (9~b147-1) experimental; urgency=medium

  * OpenJDK 9, b147.
  * Use sigset_t to store the signals used by the JVM (James Cowgill).
    Addresses: #841173.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Dec 2016 15:41:51 +0100

openjdk-9 (9~b144-1) experimental; urgency=medium

  * OpenJDK 9, b144.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Nov 2016 14:43:48 +0100

openjdk-9 (9~b143-2) experimental; urgency=medium

  * Fix 8168567, unbreaking the build on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Nov 2016 15:46:43 +0100

openjdk-9 (9~b143-1) experimental; urgency=medium

  * OpenJDK 9, b143.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Nov 2016 22:36:28 +0100

openjdk-9 (9~b142-1) experimental; urgency=medium

  * OpenJDK 9, b142.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Oct 2016 12:03:19 +0200

openjdk-9 (9~b140-2) experimental; urgency=medium

  * Don't build zero on ppc64 and ppc64el (fails to build).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2016 17:02:37 +0200

openjdk-9 (9~b140-1) experimental; urgency=medium

  * OpenJDK 9, b140.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Oct 2016 12:01:47 +0200

openjdk-9 (9~b139-1) experimental; urgency=medium

  * OpenJDK 9, b139.
  * Stop building zero on amd64, fails to build with hardening defaults.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Oct 2016 10:03:18 +0200

openjdk-9 (9~b136-1ubuntu1) yakkety; urgency=medium

  * 8165323: (fs) Files.getFileStore fails with "Mount point not found" in
    chroot environment

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Sep 2016 16:20:45 +0200

openjdk-9 (9~b136-1) experimental; urgency=medium

  * OpenJDK 9, b136.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Sep 2016 20:33:07 +0200

openjdk-9 (9~b135-1) experimental; urgency=medium

  * OpenJDK 9, b135.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2016 03:56:51 +0200
