=== debian/changelog ===
openjdk-9 (9~b181-4) unstable; urgency=medium

  * Fix whitespace in debian/rules. Closes: #873104, 873117.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2017 19:15:14 +0200

openjdk-9 (9~b181-3) unstable; urgency=medium

  * Fix libjvm.so's .debug file names.
  * Install an apport hook when building on Ubuntu and derivatives.
  * Update the disable-doclint patch (Chris West). Closes: #866908.
  * Configure --with-debug-level=release on m68k as well (Adrian Glaubitz).
    Closes: #871316.
  * Drop armel and sparc from the list of alternative zero archs (Adrian
    Glaubitz). Closes: #871319.
  * Simplify the zero-sparc patch (Adrian Glaubitz). Closes: #872756.
  * Remove some obsolete unused patches. Closes: #871606.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2017 00:42:22 +0200

openjdk-9 (9~b181-2) unstable; urgency=medium

  * Update the jdk-8067331 patch (Adrian Glaubitz). Closes: #871009.
  * Build zero on armhf again.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 10:28:46 -0400

openjdk-9 (9~b181-1) unstable; urgency=medium

  * OpenJDK 9, b181.
  * Don't hard-code multiarch-support dependency. Closes: #870521.
  * Just configure m68k --with-debug-level=slowdebug. Closes: #868255.
  * Fix atomic_copy64 on powerpc (Andrew Haley). Closes: #870403.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 07:35:49 -0400

openjdk-9 (9~b179-2) unstable; urgency=medium

  * Really configure --with-debug-level=slowdebug on Zero-only architectures.
    Closes: #868255.
  * Really enable the zero-sparc patch (Adrian Glaubitz). Closes: #864359.
  * Try again building zero on arm64 with slowdebug.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:20:10 +0200

openjdk-9 (9~b179-1) unstable; urgency=medium

  * OpenJDK 9, b179.
  * Drop armel as a hotspot architecture. Closes: #864464.
  * Configure --with-debug-level=slowdebug on Zero-only architectures.
    Closes: #868255.
  * Fix recommendation of microhei/zenhei font packages. Closes: #868205.
  * Enable the zero-sparc patch (Adrian Glaubitz). Closes: #864359.
  * Update the disable-doclint patch (Chris West). Closes: #866908.
  * Disable the jamvm autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jul 2017 11:49:18 +0200

openjdk-9 (9~b177-3) unstable; urgency=medium

  * Fix applying the s390x-thread-stack-size patch.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jul 2017 19:18:19 +0200

openjdk-9 (9~b177-2) unstable; urgency=medium

  * Try to build zero again on amd64, arm64, ppc64el and s390x.
  * Keep the conf/* symlinks in the JAVA_HOME directory.
    Closes: #866924, #863080.
  * Drop armel from the list of hotspot architectures. See #864464.
  * Stop using deprecated GNOME libraries. Closes: #850268.
  * Apply sparc64 build fixes (Adrian Glaubitz). Closes: #864351.
  * Update the zero-sparc patch (Adrian Glaubitz). Closes: #864359.
  * Update the m68k-support patch (Adrian Glaubitz). Closes: #864595.
  * Disable generation of jvmti.html on m68k (Adrian Glaubitz).
    Closes: #864596.
  * Update the zero-sh patch (Adrian Glaubitz). Closes: #864643.
  * Update the jdk-target-arch-define patch. Closes: #865129.
  * Provide jvmdir symlink in /usr/lib/debug. Addresses: #867314.
  * Fix pt_BR translation in awt message. Addresses: #863331.
  * Drop the 8073754-stack-overflow-9-build patch. Closes: #864288.
  * Use sigset_t to store the signals used by the JVM (James Cowgill).
    Closes: #841173.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jul 2017 12:28:53 +0200

openjdk-9 (9~b177-1) unstable; urgency=medium

  * OpenJDK 9, b177.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jul 2017 02:18:33 +0000

openjdk-9 (9~b170-2) unstable; urgency=medium

  * OpenJDK 9, b170.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 May 2017 11:57:43 -0700

openjdk-9 (9~b169-1) unstable; urgency=medium

  * OpenJDK 9, b169.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 May 2017 10:11:24 -0700

openjdk-9 (9~b168-1) unstable; urgency=medium

  * OpenJDK 9, b168.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 May 2017 14:33:09 +0200

openjdk-9 (9~b164-1) unstable; urgency=medium

  * OpenJDK 9, b164.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Apr 2017 21:39:41 +0200
