=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 Package: openjdk-9-jre-headless
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 Multi-Arch: same
-Pre-Depends: ${dpkg:Depends}, ${multiarch:Depends}
+Pre-Depends: ${dpkg:Depends}
 Depends: ${jredefault:Depends}, ${cacert:Depends},
   ${jcommon:Depends}, ${dlopenhl:Depends},
   ${mountpoint:Depends},
@@ -148,7 +148,7 @@
  This package contains the debugging symbols.
 
 Package: openjdk-9-jre-zero
-Architecture: i386 ppc64 sparc64 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386 
 Multi-Arch: same
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
