=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
-hotspot_archs	= amd64 i386 arm64 armel armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
+hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
@@ -163,10 +163,7 @@
 # Shark build but just crash
 altshark_archs =
 
-altzero_archs = $(filter-out amd64 arm64 armel armhf ppc64el sparc, $(hotspot_archs)) $(altshark_archs)
-ifeq ($(derivative),Ubuntu)
-  altzero_archs := $(filter-out s390x, $(altzero_archs))
-endif
+# altzero_archs = $(filter-out , $(hotspot_archs)) $(altshark_archs)
 
 ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS))$(filter noaltshark, $(DEB_BUILD_OPTIONS)))
   ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
@@ -221,3 +218,5 @@
 
 dpkg_buildflags_zero = \
 	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
+	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
+	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
