## openjdk-9 9.0.1+11

=== debian/changelog ===
openjdk-9 (9.0.1+11-1mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Add MX 15/16 distrel names alongside Jessie.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Oct 2017 16:07:00 -0700

openjdk-9 (9.0.1+11-1) unstable; urgency=medium

  * OpenJDK 9.0.1+11 release.
  * Bump standards version.
  * Configure with an empty --with-version-pre setting. LP: #1722410.
  * Remove JamVM packaging bits. Closes: #877523.
  * Remove Shark packaging bits.
  * Fix java/javac/jar lockups on SMP Alpha (Michael Cree). Closes: #875288.
  * Fix crashes in i386 applications using JNI due to Hotspot workaround for
    Exec Shield (Ben Hutchings). Closes: #876069.
  * Re-enable building altzero architectures: Closes: #874292.
  * Update the zero-sparc patch (Adrian Glaubitz). Closes: #874265.
  * Fix recommendation of microhei/zenhei font packages. Closes: #868205.
  * Move jmod files into the openjdk-jdk-headless package. Closes: #878272.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Oct 2017 01:44:31 +0200
