=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: openjdk-9
 Section: java
 Priority: optional
-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14),
   quilt, m4, lsb-release, zip, unzip,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
-  autoconf, automake, autotools-dev, ant, ant-optional, 
-  g++-6,
+  autoconf, automake, autotools-dev, ant, ant-optional,
+  g++-4.9,
   openjdk-8-jdk (>= 8u91-b14-2) [s390x], openjdk-8-jdk | openjdk-9-jdk,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev,
-  libffi-dev, 
+  libffi-dev,
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,  
   libnss3-dev (>= 2:3.17.1),
   mauve, jtreg (>= 4.2-b03-1~), xvfb, xauth, xfonts-base, libgl1-mesa-dri [!x32], twm | metacity, twm | dbus-x11, x11-xkb-utils,
   time, openjdk-8-jdk-headless <cross>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://openjdk.java.net/
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk9
 Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk9
@@ -31,7 +33,9 @@
   java5-sdk-headless, java6-sdk-headless,
   java7-sdk-headless, java8-sdk-headless,
   java9-sdk-headless, java-compiler
+Breaks: openjdk-9-jre-headless (<< 9.0.1+11-1~)
 Replaces: openjdk-9-jdk (<< 9~b107-0~),
+  openjdk-9-jre-headless (<< 9.0.1+11-1~)
 Description: OpenJDK Development Kit (JDK) (headless)
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
@@ -44,11 +48,10 @@
   ${jcommon:Depends}, ${dlopenhl:Depends},
   ${mountpoint:Depends},
   ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${dlopenhl:Recommends}, ${jamvm:Recommends}
-Suggests: ${cacao:Recommends}, ${jamvm:Suggests},
-  libnss-mdns,
+Recommends: ${dlopenhl:Recommends}
+Suggests: libnss-mdns,
   fonts-dejavu-extra,
-  fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-wqy-microhei | ttf-wqy-zenhei, fonts-indic,
+  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
 Provides: java-runtime-headless, java2-runtime-headless,
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
@@ -96,7 +99,7 @@
 
 Package: openjdk-9-demo
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
-Priority: extra
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-9-jre (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
@@ -105,7 +108,7 @@
 
 Package: openjdk-9-source
 Architecture: all
-Priority: extra
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-9-jre (>= ${source:Version}),
   openjdk-9-jdk (>= ${binary:Version}),
@@ -122,7 +125,7 @@
 Section: doc
 Pre-Depends: ${dpkg:Depends}
 Architecture: all
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}
 Suggests: openjdk-9-jdk
 Description: OpenJDK Development Kit (JDK) documentation
@@ -134,7 +137,7 @@
 Package: openjdk-9-dbg
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 Multi-Arch: same
-Priority: extra
+Priority: optional
 Section: debug
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-9-jre-headless (= ${binary:Version}),
@@ -148,16 +151,15 @@
  This package contains the debugging symbols.
 
 Package: openjdk-9-jre-zero
-Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386 
+Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
 Multi-Arch: same
-Priority: extra
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-9-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${zerovm:Provides}
-Description: Alternative JVM for OpenJDK, using Zero/Shark
- The package provides an alternative runtime using the Zero VM and the 
- Shark Just In Time Compiler (JIT).  Built on architectures in addition
- to the Hotspot VM as a debugging aid for those architectures which don't
- have a Hotspot VM.
+Description: Alternative JVM for OpenJDK, using Zero
+ The package provides an alternative runtime using the Zero VM. Built on
+ architectures in addition to the Hotspot VM as a debugging aid for those
+ architectures which don't have a Hotspot VM.
  .
  The VM is started with the option `-zero'. See the README.Debian for details.
