=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
                elif dpkg-vendor --derives-from Debian; then echo Debian; \
                else echo Unknown; fi)
 ifeq ($(distrel),n/a)
-  distrel := sid
+  distrel := jessie
 endif
 
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
@@ -49,11 +49,7 @@
   zbootcycle_build =
 endif
 
-shark_archs	= amd64 i386 kfreebsd-amd64 kfreebsd-i386
-# Shark build but just crash
-shark_archs	=
-
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie Fusion Metamorphosis))
   is_default = no
 else
   is_default = yes
@@ -62,7 +58,6 @@
 srcdir		= src
 builddir	= build
 zbuilddir	= build-zero
-jbuilddir	= build-jamvm
 
 VENDOR		= openjdk
 Vendor		= OpenJDK
@@ -72,17 +67,21 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
   priority	= $(if $(filter yes, $(is_default)),1091,1079)
   vm_name	= Hotspot JIT
-else ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs)))
-  priority	= $(if $(filter yes, $(is_default)),1085,1075)
-  vm_name	= Hotspot Shark
 else
   priority	= $(if $(filter yes, $(is_default)),1084,1073)
   vm_name	= Hotspot Zero
 endif
 jvmver		= 1.9.0
 shortver	= 9
-updatever	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)u\([0-9]\+\).*/\1/p')
-buildver	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)[^-]*-\(b[0-9]\+\).*/\1/p')
+v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
+v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
+v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
+v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
+# that should be the package version ...
+
+ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
+endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -132,11 +131,8 @@
 #with_check = disabled for this upload
 
 with_docs = $(if $(findstring nodocs, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(findstring shark, $(PKGSOURCE)))
-  with_docs = disabled for shark
-endif
-
-with_wgy_zenhai = $(if $(filter $(distrel),lenny),,yes)
+
+with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
 arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
 
@@ -150,35 +146,12 @@
 
 any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 
-ifeq (,$(filter $(distrel),squeeze lucid))
-  jamvm_archs = amd64 armel armhf i386 mips mipsel powerpc kfreebsd-i386 kfreebsd-amd64
-endif
-jamvm_archs =
-
-ifeq (,$(filter $(distrel),wheezy squeeze lucid))
-  jamvm_defaults =
-endif
-
-altshark_archs = powerpc ppc64 ppc64el
-# Shark build but just crash
-altshark_archs =
-
-# altzero_archs = $(filter-out , $(hotspot_archs)) $(altshark_archs)
-
-ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS))$(filter noaltshark, $(DEB_BUILD_OPTIONS)))
+altzero_archs = $(hotspot_archs)
+
+ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
   ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
-    ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs) $(altshark_archs)))
-      alternate_vms += shark
-      zero_dir = shark
-    else
-      alternate_vms += zero
-      zero_dir = zero
-    endif
-  endif
-endif
-ifeq (,$(filter noaltjamvm, $(DEB_BUILD_OPTIONS)))
-  ifneq (,$(filter $(DEB_HOST_ARCH), $(jamvm_archs)))
-    alternate_vms += jamvm
+    alternate_vms += zero
+    zero_dir = zero
   endif
 endif
 
@@ -193,8 +166,6 @@
 else
   BUILDJDK_HOME = $(BOOTJDK_HOME)
 endif
-
-OPENJDK_VERSION = jdk$(shortver)u$(updatever)-$(buildver)
 
 # for Hotspot: hotspot/make/linux/makefiles/vm.make
 # Don't overwrite Hotspot opt level :
@@ -220,3 +191,16 @@
 	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
 	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
+	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations"
+# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
+dpkg_buildflags_zero += \
+	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
+	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
+dpkg_buildflags_zero += dpkg-buildflags
+export EXTRA_CPPFLAGS_ZERO := $(shell $(dpkg_buildflags_zero) --get CPPFLAGS)
+export EXTRA_CFLAGS_ZERO   := $(shell $(dpkg_buildflags_zero) --get CFLAGS; $(dpkg_buildflags_zero) --get CPPFLAGS)
+export EXTRA_CXXFLAGS_ZERO := $(shell $(dpkg_buildflags_zero) --get CXXFLAGS)
+export EXTRA_LDFLAGS_ZERO  := $(shell $(dpkg_buildflags_zero) --get LDFLAGS)
+
+# for JDK: jdk/make/common/Defs.gmk
+# Don't overwrite JDK opt level :
